Client Products

This method retrieves the prices and details of all available products accessible to a client based on their subscription status. This information includes the price value associated with each product.

A. Request Header

FieldFormatMandatoryLengthExample
Content-Type stringYapplication/json
Open-Api-Timestampyyyy-mm-dd'T'hh:mm:ss+07:00Y2024-02-06T11:59:19.000+07:00
Open-Api-SignatureDigital SignatureY88T8LAFrzucHs5BKP2KeAxGmzRpaULJ/Y8hg
M9UOCKDc/UprAH5cS51TSI3v8zIutxKQnly
Ri1sa47ELh3uj6AuQ==


B. Request Body

FieldTypeDescriptionRequiredExample
limitintThe maximum number of items to be included per pagetrue10
pageintThe requested page number in the paginated result settrue1
searcharray of objectsThis object contains fields used for searching within the dataset
fieldstringThe field to search within the dataset. Possible value for “field” in search array:
“keyword”
“categories”
“enable”
false“keyword”
valuestringThe value to search for within the specified search field.
Possible value for “value” in search array:

1. for keyword:
“axis”
“indosat”
“dana”
etc

2. for categories:
“data”
“pulsa”
“maxim”
“plnprepaid”
etc

3. for enable:
“true”
“false”
false“axis”
sortobjectThis object contains fields used for sorting the results
fieldstringThe field by which to sort the results. Possible value for “field” in sort object:
“name”
“code”
“category”
“enable”
“agent_price”
“updated_at”
“success_rate”
“time_rate”
true“agent_price”
valuestringThe sorting order for the results (ascending or descending). Possible value for “value” in sort object:
“asc”
“desc”
true“desc”

C. Sample Request

{
    "limit": 10,
    "page": 1,
    "search": [
        {
            "field": "keyword",
            "value": "axis"
        },
        {
            "field": "enable",
            "value": "true"
        }
    ],
    "sort": {
        "field": "agent_price",
        "value": "desc"
    }
}



D. Response Body

FieldTypeDescriptionExample
response_codestringContains the OpenAPI response code“200042000”
response_messagestringContains the value of OpenAPI response message“Sukses”
meta objectContains the metadata related to user list’s pagination
total_datastringThe field to search within the dataset2
total_pagestringThe value to search for within the specified search field1
current_pageintThe value of current page1
per_pageintThe number of items or rows to be displayed per page10
dataarray of objectsThe list of objects containing user data
product_namestringThe value of product’s name“(Transfer) Axis 20.000”
product_detailstringThe value of product’s short detail“Masa Aktif 10 Hari”
product_categorystringThe value of product’s category“pulsa”
agent_pricestringThe value of price for agents in Rupiah“19953”
product_codestringUnique identifier for the product“RJBTAX20”
enableboleeanThe flag to mark enabled / disabled producttrue
updated_atstringThe value of product’s last update“2024-02-01T16:45:16Z”

E. Sample Response

{
    "response_code": "200042000",
    "response_message": "Sukses",
    "meta": {
        "total_data": 2,
        "total_page": 1,
        "current_page": 1,
        "per_page": 10
    },
    "data": [
        {
            "product_name": "(Transfer) Axis 20.000",
            "product_detail": "Masa Aktif 10 Hari",
            "product_category": "pulsa",
            "agent_price": "19953",
            "product_code": "RJBTAX20",
            "enable": true,
            "updated_at": "2024-02-01T16:45:16Z"
        },
        {
            "product_name": "(Transfer) Axis 20.000",
            "product_detail": "Masa Aktif 10 Hari",
            "product_category": "pulsa",
            "agent_price": "19938",
            "product_code": "PRPTAX20",
            "enable": true,
            "updated_at": "2024-02-01T16:45:16Z"
        }
    ]
}


Try It Here (Form)

To try the following endpoint, enter the example request data you want to use in the following form


Body Params
int32
int32
search
array of objects
sort
object
Headers
date-time
string
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json